Create
curl --request POST \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/executions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "<string>",
"command": [
"<string>"
],
"region": "<string>",
"resources": {
"cpus": 8,
"memoryMb": 32896
},
"runtime": {
"nestedContainers": true
},
"env": {},
"timeoutSeconds": 43200
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/executions"
payload = {
"image": "<string>",
"command": ["<string>"],
"region": "<string>",
"resources": {
"cpus": 8,
"memoryMb": 32896
},
"runtime": { "nestedContainers": True },
"env": {},
"timeoutSeconds": 43200
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
command: ['<string>'],
region: '<string>',
resources: {cpus: 8, memoryMb: 32896},
runtime: {nestedContainers: true},
env: {},
timeoutSeconds: 43200
})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "starting",
"image": "<string>",
"command": [
"<string>"
],
"region": "<string>",
"resources": {
"cpuKind": "shared",
"cpus": 8,
"memoryMb": 32896
},
"runtime": {
"nestedContainers": true
},
"timeoutSeconds": 123,
"exitCode": 123,
"errorCode": "<string>",
"cleanupStatus": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}executions
Create
Start an isolated one-shot container execution. Environment values are write-only and never returned.
POST
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
executions
Create
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Required string length:
1 - 512Required array length:
1 - 128 elementsRequired string length:
1 - 4096Required string length:
1 - 64Show child attributes
Show child attributes
Show child attributes
Show child attributes
Write-only environment variables supplied only to this execution.
Show child attributes
Show child attributes
Write-only credentials used to import this execution's private OCI image. The password may be a registry token or password and is never returned.
Show child attributes
Show child attributes
Required range:
1 <= x <= 86400Response
Execution accepted and starting.
Available options:
starting, running, succeeded, failed, cancelled, timed_out Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
pending, confirmed, attention_required